# Checkson

## Basic information

Checkson is a simple framework for host and network checking. It supports multiple modules.

An example config will include multiple blocks, each for a singe test.

## Example configuration

```
check 'port 61000 is open' do
  using Shell
  set :code, %(sockstat -4 | grep \*:61000)
  help 'Port 61000 is closed'
end

check 'ssh daemon is running' do
  using Process
  set :name, 'sshd'
  help 'Enable and start sshd'
end

```
