# frozen_string_literal: true

module Checkson
  autoload :Config, 'checkson/config'
  autoload :Context, 'checkson/context'
  autoload :APIClient, 'checkson/apiclient'
  autoload :UI, 'checkson/ui'

  module Check
    autoload :Base, 'checkson/checks/base'
    autoload :DNS, 'checkson/checks/dns'
    autoload :Shell, 'checkson/checks/shell'
    autoload :Process, 'checkson/checks/process'
    autoload :Certificate, 'checkson/checks/certificate'
  end
end
